Перейти до основного вмісту
POST
/
identity
/
idcard
/
check-1e
Idcard Check 1E
curl --request POST \
  --url https://api.acedata.cloud/identity/idcard/check-1e \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image_url": "<string>",
  "config": "<string>"
}
'
{
  "sex": "<string>",
  "sim": 123,
  "name": "<string>",
  "birth": "<string>",
  "id_num": "<string>",
  "nation": "<string>",
  "result": "<string>",
  "address": "<string>",
  "quality": "<string>",
  "portrait": "<string>",
  "warnings": "<string>",
  "encryption": [
    {
      "iv": "<string>",
      "tag_list": [
        "<string>"
      ],
      "algorithm": "<string>",
      "encrypt_list": [
        "<string>"
      ],
      "ciphertext_blob": 123
    }
  ],
  "description": "<string>"
}

Авторизації

Authorization
string
header
обов'язково

Заголовки

accept
enum<string>

Specifies the format of the response from the server.

Доступні опції:
application/json,
application/x-ndjson

Тіло

application/json
image_url
string
обов'язково

The link to images need to be processed.

config
string

The following optional fields are of bool type and the default value is false.

Відповідь

OK, the request was successful.

sex
string

sex.

sim
number

Similarity. The value ranges from 0.00 to 100.00.

name
string

name.

birth
string

Date of birth.

id_num
string

Id number.

nation
string

nation.

result
string

Service error code. success is displayed if the error is successful. For details about the error, see failed operation in the error code list below.

address
string

address.

quality
string

The value ranges from 0 to 100. Currently, the default threshold is 50 points. If the value is lower than 50, a fuzzy alarm will be generated.

portrait
string

base64 encoding of ID profile photo. If matting fails, it will compare the entire ID card and return empty.

warnings
string

The alarm occurred when the alarm information was configured in config. As a result, an error occurred (failed operation.ocr warning occurred).

encryption
object[]
description
string

Description of business results.